## gazebo 7.3.0+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)

if(COMMAND CMAKE_POLICY)
  CMAKE_POLICY(SET CMP0003 NEW)
  CMAKE_POLICY(SET CMP0004 NEW)
endif(COMMAND CMAKE_POLICY)

project (Gazebo)
string (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)

set (GAZEBO_MAJOR_VERSION 7)
set (GAZEBO_MINOR_VERSION 3)
# The patch version may have been bumped for prerelease purposes; be sure to
# check gazebo-release/ubuntu/debian/changelog@default to determine what the
# next patch version should be for a regular release.
set (GAZEBO_PATCH_VERSION 0)

set (GAZEBO_VERSION ${GAZEBO_MAJOR_VERSION}.${GAZEBO_MINOR_VERSION})
set (GAZEBO_VERSION_FULL ${GAZEBO_MAJOR_VERSION}.${GAZEBO_MINOR_VERSION}.${GAZEBO_PATCH_VERSION})

message (STATUS "${PROJECT_NAME} version ${GAZEBO_VERSION_FULL}")

set (gazebo_cmake_dir ${PROJECT_SOURCE_DIR}/cmake CACHE PATH "Location of CMake scripts")

########################################
# Package Creation:
include (${gazebo_cmake_dir}/gazebo_cpack.cmake)
set (CPACK_PACKAGE_VERSION "${GAZEBO_VERSION_FULL}")
set (CPACK_PACKAGE_VERSION_MAJOR "${GAZEBO_MAJOR_VERSION}")
set (CPACK_PACKAGE_VERSION_MINOR "${GAZEBO_MINOR_VERSION}")
set (CPACK_PACKAGE_VERSION_PATCH "${GAZEBO_PATCH_VERSION}")

if (CPACK_GENERATOR)
  message(STATUS "Found CPack generators: ${CPACK_GENERATOR}")

  configure_file("${gazebo_cmake_dir}/cpack_options.cmake.in" ${GAZEBO_CPACK_CFG_FILE} @ONLY)
  set(CPACK_PROJECT_CONFIG_FILE ${GAZEBO_CPACK_CFG_FILE})
  include (CPack)
endif()

# If we're configuring only to package source, stop here
if (PACKAGE_SOURCE_ONLY)
  message(WARNING "Configuration was done in PACKAGE_SOURCE_ONLY mode.  You can build a tarball (make package_source), but nothing else.")
  return()
endif()

# Documentation
add_subdirectory(doc)

# Configure documentation uploader
configure_file("${CMAKE_SOURCE_DIR}/cmake/upload_doc.sh.in"
  ${CMAKE_BINARY_DIR}/upload_doc.sh @ONLY)

# If we're configuring only to build docs, stop here
if (DOC_ONLY)
  message(WARNING "Configuration was done in DOC_ONLY mode.  You can build documentation (make doc), but nothing else.")
  return()
endif()

enable_testing()

# Use GNUInstallDirst to get canonical paths
include(GNUInstallDirs)

# with -fPIC
if(UNIX AND NOT WIN32)
  set (CMAKE_INSTALL_PREFIX "/usr" CACHE STRING "Install Prefix")
 find_program(CMAKE_UNAME uname /bin /usr/bin /usr/local/bin )
 if(CMAKE_UNAME)
   exec_program(uname ARGS -m OUTPUT_VARIABLE CMAKE_SYSTEM_PROCESSOR)
   set(CMAKE_SYSTEM_PROCESSOR ${CMAKE_SYSTEM_PROCESSOR} CACHE INTERNAL
     "processor type (i386 and x86_64)")
   if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
     ADD_DEFINITIONS(-fPIC)
   endif(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
 endif(CMAKE_UNAME)
endif()

set (CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)


# developer's option to cache PKG_CONFIG_PATH and
# LD_LIBRARY_PATH for local installs
if(PKG_CONFIG_PATH)
  set (ENV{PKG_CONFIG_PATH} ${PKG_CONFIG_PATH}:$ENV{PKG_CONFIG_PATH})
endif()
if(LD_LIBRARY_PATH)
  set (ENV{LD_LIBRARY_PATH} ${LD_LIBRARY_PATH}:$ENV{LD_LIBRARY_PATH})
endif()


set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_INCLUDEDIR}/gazebo-${GAZEBO_MAJOR_VERSION}/gazebo")
set (LIB_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR})
set (BIN_INSTALL_DIR ${CMAKE_INSTALL_BINDIR})

set (BUILD_GAZEBO ON CACHE INTERNAL "Build Gazebo" FORCE)
set (build_errors "" CACHE INTERNAL "build errors" FORCE)
set (build_warnings "" CACHE INTERNAL "build warnings" FORCE)


set (MIN_OGRE_VERSION 1.7.4 CACHE INTERNAL "Ogre version requirement" FORCE)
set (MIN_BOOST_VERSION 1.40.0 CACHE INTERNAL "Boost min version requirement" FORCE)

set (FREEIMAGE_MAJOR_VERSION 3 CACHE INTERNAL "FreeImage major version requirement" FORCE)
set (FREEIMAGE_MINOR_VERSION 9 CACHE INTERNAL "FreeImage minor version requirement" FORCE)
set (MIN_FREEIMAGE_VERSION ${FREEIMAGE_MAJOR_VERSION}.${FREEIMAGE_MINOR_VERSION}.0 CACHE INTERNAL "FreeImage version requirement" FORCE)

include (${gazebo_cmake_dir}/DissectVersion.cmake)

#####################################
# Check for low memory version to use in some tests
if(NOT DEFINED USE_LOW_MEMORY_TESTS)
  set (USE_LOW_MEMORY_TESTS FALSE)
  message (STATUS "High memory tests: enabled")
else()
  set (USE_LOW_MEMORY_TEST TRUE)
  message (STATUS "High memory tests: disabled, low memory versions will be used")
endif()

######################################
# Enable screen tests by default
if(NOT DEFINED ENABLE_SCREEN_TESTS)
  set(ENABLE_SCREEN_TESTS TRUE)
endif()

message (STATUS "\n\n====== Finding 3rd Party Packages ======")
include (${gazebo_cmake_dir}/SearchForStuff.cmake)
message (STATUS "----------------------------------------\n")

#####################################
# Define some variables that are going to be used in two places:
# 1. In CMake code to pass preprocessor definitions to certain source files
# (especially in common/CMakeLists.txt).
# 2. In the generation of cmake/setup.sh from cmake/setup.sh.in
set(GAZEBO_DEFAULT_MASTER_HOST localhost)
set(GAZEBO_DEFAULT_MASTER_PORT 11345)
set(GAZEBO_PLUGIN_PATH ${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}/gazebo-${GAZEBO_MAJOR_VERSION}/plugins)
set(GAZEBO_MODEL_PATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/gazebo-${GAZEBO_MAJOR_VERSION}/models)
set(GAZEBO_RESOURCE_PATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/gazebo-${GAZEBO_MAJOR_VERSION}:${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/gazebo_models)
set(GAZEBO_MODEL_DATABASE_URI http://gazebosim.org/models)
set(OGRE_RESOURCE_PATH ${OGRE_PLUGINDIR})
# Seems that OGRE_PLUGINDIR can end in a newline, which will cause problems when
# we pass it to the compiler later.
string(REPLACE "\n" "" OGRE_RESOURCE_PATH ${OGRE_RESOURCE_PATH})


# Check for DRI capable Display
include (${gazebo_cmake_dir}/CheckDRIDisplay.cmake)

#####################################
MESSAGE(STATUS "Checking gazebo build type")
# Set the default build type
if (NOT CMAKE_BUILD_TYPE)
    set (CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING
        "Choose the type of build, options are: Debug Release RelWithDebInfo Profile Check" FORCE)
endif (NOT CMAKE_BUILD_TYPE)
# TODO: still convert to uppercase to keep backwards compatibility with
# uppercase old supported and deprecated modes
string(TOUPPER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_UPPERCASE)

if (NOT DEFINED HDF5_INSTRUMENT)
  set (HDF5_INSTRUMENT FALSE)
endif()

set (BUILD_TYPE_PROFILE FALSE)
set (BUILD_TYPE_RELEASE FALSE)
set (BUILD_TYPE_RELWITHDEBINFO FALSE)
set (BUILD_TYPE_DEBUG FALSE)
set (BUILD_TYPE_COVERAGE FALSE)

if ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "PROFILE")
  set (BUILD_TYPE_PROFILE TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "RELEASE")
  set (BUILD_TYPE_RELEASE TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "RELWITHDEBINFO")
  set (BUILD_TYPE_RELWITHDEBINFO TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "DEBUG")
  set (BUILD_TYPE_DEBUG TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "COVERAGE")
  BUILD_WARNING ("Simbody physics engine not supported during Coverage builds (issue #1849).")
  set (HAVE_SIMBODY FALSE)
  BUILD_WARNING ("DART physics engine not supported during Coverage builds (issue #1160).")
  set (HAVE_DART FALSE)
  set (BUILD_TYPE_COVERAGE TRUE)
  include (${gazebo_cmake_dir}/CodeCoverage.cmake)
  setup_target_for_coverage(coverage coverage)
else()
  build_error("CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} unknown. Valid options are: Debug Release RelWithDebInfo Profile Check")
endif()

#####################################
# Handle CFlags
# USE_UPSTREAM_CFLAGS (default TRUE)
if(NOT DEFINED USE_UPSTREAM_CFLAGS)
    set (USE_UPSTREAM_CFLAGS True)
endif()

unset (CMAKE_C_FLAGS_ALL CACHE)

# USE_HOST_CFLAGS (default TRUE)
# Will check building host machine for proper cflags
if(NOT DEFINED USE_HOST_CFLAGS OR USE_HOST_CFLAGS)
  message(STATUS "Enable host CFlags")
  include (${gazebo_cmake_dir}/HostCFlags.cmake)
endif()

# Will use predefined gazebo developers cflags
# this needs to be called after HostCFlags
if(USE_UPSTREAM_CFLAGS)
  # use gazebo own set of flags
  unset (CMAKE_CXX_FLAGS CACHE)
  message(STATUS "Enable upstream CFlags")
  include(${gazebo_cmake_dir}/DefaultCFlags.cmake)
endif()

# Check if warning options are avaliable for the compiler and return WARNING_CXX_FLAGS variable
filter_valid_compiler_flags(-Wall -Wextra -Wno-long-long -Wno-unused-value -Wno-unused-value
                               -Wno-unused-value -Wno-unused-value -Wfloat-equal -Wshadow
			       -Winit-self -Wswitch-default -Wmissing-include-dirs -pedantic)

# Check and add visibility hidden by default. Only in UNIX
# Windows and MacosX does not handled properly the hidden compilation
if (UNIX AND NOT APPLE)
  filter_valid_compiler_flags(-fvisibility=hidden -fvisibility-inlines-hidden)
endif()

if (MSVC)
  # Unable to be filtered flags (failing due to limitations in filter_valid_compiler_warnings)
  # Handling exceptions rightly
  set(UNFILTERED_FLAGS "/EHsc")
endif()

# Visual Studio enables c++11 support by default
if (NOT MSVC)
  set(UNFILTERED_FLAGS "-std=c++11")
endif()

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${VALID_CXX_FLAGS} ${UNFILTERED_FLAGS}")

#################################################
# OS Specific initialization
if (UNIX)
  gz_setup_unix()
else (WIN32)
  gz_setup_windows()
endif()

if(APPLE)
  gz_setup_apple()
endif()

# Main includes for compilation
include_directories(${PROJECT_SOURCE_DIR} ${PROJECT_BINARY_DIR})
include_directories(SYSTEM
  ${IGNITION-MATH_INCLUDE_DIRS}
)

#################################################
# Configure 3rd Party Packages after OS Specific initialization
message (STATUS "\n\n====== Configuring 3rd Party Packages ======")
add_subdirectory(deps)
message (STATUS "----------------------------------------\n")

#################################################
# Print warnings and errors
if ( build_warnings )
  message(STATUS "BUILD WARNINGS")
  foreach (msg ${build_warnings})
    message(STATUS ${msg})
  endforeach ()
  message(STATUS "END BUILD WARNINGS\n")
endif (build_warnings)

########### Add uninstall target ###############
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)
add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake")

if (build_errors)
  message(STATUS "BUILD ERRORS: These must be resolved before compiling.")
  foreach (msg ${build_errors})
    message(STATUS ${msg})
  endforeach ()
  message(STATUS "END BUILD ERRORS\n")
  message (FATAL_ERROR "Errors encountered in build. Please see the BUILD ERRORS above.")
else (build_errors)

  ########################################
  # Write the config.h file
  configure_file (${gazebo_cmake_dir}/gazebo_config.h.in ${PROJECT_BINARY_DIR}/gazebo/gazebo_config.h)
  gz_install_includes("" ${PROJECT_BINARY_DIR}/gazebo/gazebo_config.h)

  configure_file(${CMAKE_SOURCE_DIR}/cmake/setup.sh.in ${PROJECT_BINARY_DIR}/setup.sh @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/setup.sh DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/gazebo-${GAZEBO_MAJOR_VERSION}/)
  # Also install the setup.sh in an unversioned location
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/setup.sh DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/gazebo/)


  if (DEFINED CMAKE_CXX_FLAGS)
    message (STATUS "Custom CFlags:${CMAKE_CXX_FLAGS}")
  else()
    message (STATUS "Use default CFlags")
  endif()
  message (STATUS "Build Type: ${CMAKE_BUILD_TYPE}")
  message (STATUS "Install path: ${CMAKE_INSTALL_PREFIX}")

  if (BUILD_GAZEBO)
    set(TEST_TYPE "UNIT")
    add_subdirectory(gazebo)
    add_subdirectory(media)
    add_subdirectory(test)
    add_subdirectory(tools)
    add_subdirectory(plugins)
    add_subdirectory(interfaces)
    add_subdirectory(worlds)
    add_subdirectory(models)
  endif (BUILD_GAZEBO)

  ########################################

=== debian/changelog ===
gazebo (7.3.0+dfsg-4ubuntu1) yakkety; urgency=medium

  * Actually restrict libkido-dev to ppc64el (etc.) instead of powerpc

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 11 Sep 2016 18:49:54 -0400

gazebo (7.3.0+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Peter Michael Green ]
  * [e3cbcc2] Restrict (build-)dependency on libkido-dev to architectures
              where that package is actually available (amd64, arm64, i386,
              ppc64el and alpha). (Closes: #837121)

  [ Anton Gladky ]
  * [bafb23a] Remove myself from uploaders.

 -- Anton Gladky <gladk@debian.org>  Fri, 09 Sep 2016 21:21:16 +0200

gazebo (7.3.0+dfsg-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Add libcurl-dev as an alternative to simplify apts resolution

  [ Jose Luis Rivero ]
  * Include patch to fix tinyxml constant removal
    (Closes: #835427)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 29 Aug 2016 00:44:02 +0000

gazebo (7.3.0+dfsg-2) unstable; urgency=medium

   * Patch to fix linking with gcc6 (Closes: #831176)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 21 Jul 2016 15:31:57 +0000

gazebo (7.3.0+dfsg-1) unstable; urgency=medium

  * Explicitly use of external tinyxml copy
  * Imported Upstream version 7.3.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 14 Jul 2016 18:53:12 +0000

=== debian/control ===
Source: gazebo
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>>9),
               bash-completion,
               doxygen,
               doxygen-latex,
               texlive-fonts-recommended,
               ttf-liberation,
               libfreeimage-dev,
               libprotoc-dev,
               libprotobuf-dev,
               protobuf-compiler,
               freeglut3-dev,
               libcurl4-openssl-dev,
               libtinyxml-dev,
               libtinyxml2-dev,
               libtar-dev,
               libtbb-dev,
               libogre-1.9-dev,
               libxml2-dev,
               libqt4-dev,
               libqtwebkit-dev,
               libltdl-dev,
               libboost-thread-dev,
               libboost-signals-dev,
               libboost-system-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-iostreams-dev,
               libgts-dev,
               libavformat-dev,
               libavcodec-dev,
               libswscale-dev,
               libusb-1.0-0-dev,
               libspnav-dev,
               libsdformat4-dev (>= 4.1.0) | libsdformat-dev,
               libignition-math2-dev,
               libbullet-dev,
               libsimbody-dev,
               libsimbody-dev (<< 4.0.0),
               libkido-dev [amd64 arm64 i386 ppc64el alpha],
               libgdal-dev,
               ruby-ronn,
               libgtest-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gazebo.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gazebo.git
Homepage: http://gazebosim.org/

Package: gazebo7-common
Architecture: all
Multi-Arch: foreign
Depends: ttf-dejavu-core,
         ${misc:Depends}
Breaks: gazebo6-common
Replaces: gazebo6-common
Description: Open Source Robotics Simulator - Shared files
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package contains shared files such as 3d models, worlds and
 robots.

Package: gazebo7
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ttf-liberation,
         ruby,
         libgazebo7 (= ${binary:Version}),
         gazebo7-common (= ${source:Version})
Recommends: gazebo7-plugin-base
Suggests: gazebo7-doc
Breaks: gazebo6
Replaces: gazebo6
Description: Open Source Robotics Simulator - Binaries
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package contains then main application binaries

Package: libgazebo7
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open Source Robotics Simulator - shared library
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package gathers shared libraries used

Package: libgazebo7-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libtbb-dev,
         libxml2-dev,
         libqt4-dev,
         libqtwebkit-dev,
         libprotoc-dev,
         libfreeimage-dev,
         libprotobuf-dev,
         libboost-all-dev,
         freeglut3-dev,
         libogre-1.9-dev,
         libtar-dev,
         libcurl4-openssl-dev | libcurl-dev,
         libgts-dev,
         libusb-1.0-0-dev,
         libgdal-dev,
         libavformat-dev,
         libavcodec-dev,
         libswscale-dev,
         libsdformat4-dev (>= 4.1.0) | libsdformat-dev,
         libignition-math2-dev,
         libbullet-dev,
         libsimbody-dev,
         libkido-dev [amd64 arm64 i386 ppc64el alpha],
         libgazebo7 (= ${binary:Version}),
         gazebo7-common (= ${source:Version}),
         gazebo7-plugin-base (= ${binary:Version}),
         ${misc:Depends}
Breaks: libgazebo6-dev
Replaces: libgazebo6-dev
Description: Open Source Robotics Simulator - Development Files
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package contains development files (headers, shared library
 symbolic link and pkg-config file).

Package: gazebo7-plugin-base
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: gazebo7
Replaces: gazebo6-plugin-base
Description: Open Source Robotics Simulator - base plug-ins
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package gathers built-in plugins.

Package: gazebo7-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Breaks: gazebo6-doc
Replaces: gazebo6-doc
Description: Open Source Robotics Simulator - Documentation
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package contains the program documentation.
